# Interface UnaryTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface UnaryTree extends ExpressionTree
A tree node for postfix and unary expressions. Use `getKind` to determine the kind of operator. For example:

      operator expression

      expression operator

See Java Language Specification:
  15.14 Postfix Expressions
  15.15 Unary Operators
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression that is the operand of the unary operator.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression that is the operand of the unary operator.

Returns:
  the expression